<script setup lang="ts">
import { ref } from 'vue'
import StockView from './StockView.vue'
import BalanceMaterial from '@/components/Stock/BalanceMaterial.vue'

const stockComp = ref(false)
const mainComp = ref(true)
const invoiceComp = ref(false)

const navigate = (dest: string): void => {
  if (dest === 'Invoice') {
    stockComp.value = false
    mainComp.value = false
    invoiceComp.value = true
  } else if (dest === 'Stock') {
    stockComp.value = true
    mainComp.value = false
    invoiceComp.value = false
  } else if (dest === 'Main') {
    stockComp.value = false
    mainComp.value = true
    invoiceComp.value = false
  }
}
</script>

<template>
  <v-toolbar>
    <v-toolbar-title>About Material</v-toolbar-title>
    <v-spacer></v-spacer>
    <v-toolbar-items>
      <v-btn @click="navigate('Main')">Main</v-btn>
      <v-btn @click="navigate('Stock')">Stock</v-btn>
      <v-btn @click="navigate('Invoice')">Invoice</v-btn>
    </v-toolbar-items>
  </v-toolbar>
  <div>
    <BalanceMaterial v-if="mainComp"></BalanceMaterial>
    <StockView v-if="stockComp"></StockView>
  </div>
</template>
